GDCM: gdcm::network::PDUFactory Class Reference

GDCM 3.2.10

Static Public Member Functions | List of all members
gdcm::network::PDUFactory Class Reference

PDUFactory basically, given an initial byte, construct the. More...

`#include <gdcmPDUFactory.h>`

## Static Public Member Functions
static BasePDU * | ConstructAbortPDU ()
static BasePDU * | ConstructPDU (uint8_t itemtype)
static BasePDU * | ConstructReleasePDU ()
static std::vector< BasePDU * > | CreateCEchoPDU (const ULConnection &inConnection)
static std::vector< BasePDU * > | CreateCFindPDU (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< BasePDU * > | CreateCMovePDU (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< BasePDU * > | CreateCStoreRQPDU (const ULConnection &inConnection, const File &file, bool writeDataSet=true)
static std::vector< BasePDU * > | CreateCStoreRSPPDU (const DataSet *inDataSet, const BasePDU *inPC)
static std::vector< BasePDU * > | CreateNActionPDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< BasePDU * > | CreateNCreatePDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< BasePDU * > | CreateNDeletePDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< BasePDU * > | CreateNEventReportPDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< BasePDU * > | CreateNGetPDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< BasePDU * > | CreateNSetPDU (const ULConnection &inConnection, const BaseQuery *inQuery)
static EEventID | DetermineEventByPDU (const BasePDU *inPDU)
static std::vector< PresentationDataValue > | GetPDVs (const std::vector< BasePDU * > &inDataPDUs)

## Detailed Description

PDUFactory basically, given an initial byte, construct the.

appropriate PDU. This way, the event loop doesn't have to know about all the different PDU types.

## Member Function Documentation

## ◆ ConstructAbortPDU()

BasePDU * gdcm::network::PDUFactory::ConstructAbortPDU | ( |  | ) |
| static

## ◆ ConstructPDU()

BasePDU * gdcm::network::PDUFactory::ConstructPDU | ( | uint8_t | itemtype | ) |
| static

## ◆ ConstructReleasePDU()

BasePDU * gdcm::network::PDUFactory::ConstructReleasePDU | ( |  | ) |
| static

## ◆ CreateCEchoPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateCEchoPDU | ( | const ULConnection & | inConnection | ) |
| static

## ◆ CreateCFindPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateCFindPDU | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )
| static

## ◆ CreateCMovePDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateCMovePDU | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )
| static

## ◆ CreateCStoreRQPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateCStoreRQPDU | ( | const ULConnection & | inConnection,
|  | const File & | file,
|  | bool | writeDataSet = true )
| static

## ◆ CreateCStoreRSPPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateCStoreRSPPDU | ( | const DataSet * | inDataSet,
|  | const BasePDU * | inPC )
| static

## ◆ CreateNActionPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNActionPDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ CreateNCreatePDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNCreatePDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ CreateNDeletePDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNDeletePDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ CreateNEventReportPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNEventReportPDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ CreateNGetPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNGetPDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ CreateNSetPDU()

std::vector< BasePDU * > gdcm::network::PDUFactory::CreateNSetPDU | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| static

## ◆ DetermineEventByPDU()

EEventID gdcm::network::PDUFactory::DetermineEventByPDU | ( | const BasePDU * | inPDU | ) |
| static

## ◆ GetPDVs()

std::vector< PresentationDataValue > gdcm::network::PDUFactory::GetPDVs | ( | const std::vector< BasePDU * > & | inDataPDUs | ) |
| static

The documentation for this class was generated from the following file:

- gdcmPDUFactory.h